List Tariffs
curl --request GET \
--url https://api.engrate.io/cost-of-energy/v1/tariffs \
--header 'Authorization: <api-key>'import requests
url = "https://api.engrate.io/cost-of-energy/v1/tariffs"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.engrate.io/cost-of-energy/v1/tariffs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tariffs": [
{
"available_from": "2024-01-01T00:00:00+01:00",
"eligibility": {
"fuse_size": {
"unit": "A",
"value": 20
},
"metering_grid_area_ids": [
"0199c317-25ec-7c00-b1a0-a1b2c3d4e5f6"
],
"other": [
"fuse_based"
],
"type": "system_operator"
},
"id": "0199c317-25ec-7cf7-94cc-32a39f068433",
"name": "Säkringsabonnemang - 20 A",
"summary": "Fuse-based tariff for 20A with energy tax and monthly subscription fee.",
"tariff_components": [
{
"applicable_from": "2026-01-01T00:00:00+01:00",
"cost": {
"id": "cost",
"resolution": "quarter_hourly",
"unit": "SEK"
},
"datasets": [
{
"id": "quarter-hourly-energy-offtake",
"resolution": "quarter_hourly",
"unit": "kWh"
}
],
"functions": [
{
"left": {
"id": "quarter-hourly-energy-offtake",
"resolution": "quarter_hourly",
"unit": "kWh"
},
"output": {
"id": "cost",
"resolution": "quarter_hourly",
"unit": "SEK"
},
"right": {
"unit": "SEK_per_kWh",
"value": 0.36
},
"type": "multiply"
}
],
"name": "Energiskatt",
"timezone": "Europe/Stockholm"
}
]
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Cost of Energy
List Tariffs
List Tariffs.
Multiple values within a single parameter are combined with OR. Different parameters are combined with AND. Omitting all parameters returns all published tariffs.
GET
/
cost-of-energy
/
v1
/
tariffs
List Tariffs
Authorizations
Query Parameters
Filter by system operator Party UUIDs (OR within list).
Filter by system operator extra identifiers such as EIC or EDIEL codes (OR within list).
Filter by metering grid area UUIDs (OR within list).
Filter by metering grid area extra identifiers such as MGA codes (OR within list).
Response
Successful Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I